% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PREP_init.R
\name{init_seiqhrf}
\alias{init_seiqhrf}
\title{Initial Conditions for Stochastic Individual Contact Models}
\usage{
init_seiqhrf(
  s.num = 9997,
  e.num = 0,
  i.num = 3,
  q.num = 0,
  h.num = 0,
  r.num = 0,
  f.num = 0
)
}
\arguments{
\item{s.num}{Initial number of S compartment individuals in
the simulated population. An overall population of 10,000 is a good
compromise.}

\item{e.num}{Initial number of E compartment individuals in
the simulated population.}

\item{i.num}{Initial number of I compartment individuals in
the simulated population.}

\item{q.num}{Initial number of Q compartment individuals in
the simulated population.}

\item{h.num}{Initial number of H compartment individuals in
the simulated population.}

\item{r.num}{Initial number of R compartment individuals in
the simulated population.}

\item{f.num}{Initial number of F compartment individuals in
the simulated population.}
}
\description{
This function handles the initial conditions for stochastic individual contact
             models simulated with \code{\link{seiqhrf}}.
}
\seealso{
Use \code{\link{param_seiqhrf}} to specify model parameters and
         \code{\link{control_seiqhrf}} to specify the control settings. Run the
         parameterized model with \code{\link{seiqhrf}}.
}
\keyword{initialization}
