% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PREP_prior_selector.R
\name{select_prior}
\alias{select_prior}
\title{Define prior distributions for stochastic parameters}
\usage{
select_prior(
  param,
  pars,
  starting.point = NULL,
  prior.dist = NULL,
  prior.pars = list(),
  shift_only = FALSE
)
}
\arguments{
\item{param}{A \code{param.seiqhrf} object containing model parameters, can be generated by \code{\link{param_seiqhrf}}.}

\item{pars}{A vector of the names of random parameters.}

\item{starting.point}{A vector of starting points of randomness for each parameter. 
Before starting point, parameters are taken as constants; 
after starting point, parameters are simulated from given or default priors. 
If NULL, all starting points are 1's, i.e. all parameters are generated from prior distributions from the first time point.}

\item{prior.dist}{Prior probability distributions of the parameters in \code{par}.}

\item{prior.pars}{Probability distribution parameters in \code{prior.dist}.}

\item{shift_only}{In effect only for parameters (in \code{param}) that have length longer than 1. 
If TRUE, only parameter used at the first time point is simulated from the prior distribution, 
those used for the latter time points are shifted from the input values in param by the same amount as the first time point.}
}
\value{
A \code{prior} object
}
\description{
Define prior distributions for stochastic parameters
}
\examples{
params <- param_seiqhrf()
priors <- select_prior(params, c("act.rate.q", "inf.prob.i"))
priors

}
