% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/util.R
\name{vary_param}
\alias{vary_param}
\title{Generating time-varying parameter values}
\usage{
vary_param(nstep, vals, timing)
}
\arguments{
\item{nstep}{The number of time steps to generate parameter values for, interpreted as the time range of the simulation.}

\item{vals}{A vector of change point values in the sequence.}

\item{timing}{A vector of the indices specifying the location or step numbers at which the change points occur. 
The length of \code{vals} and \code{timing} should be the same, and both smaller than \code{nsteps}.}
}
\value{
A sequence of length nsteps.
}
\description{
Generate a sequence of parameter values of length \code{nstep}.
The user specify a number of "change points" in the sequence
the function fills out the rest of the sequence s.t. 
the shape between each pair of consecutive change points is linear. 
All values before the first element and after the last element in \code{timing} 
are equal to the first element last element in \code{vals} respectively.
}
\examples{
round(vary_param(nstep = 10, vals = c(2.5, 3.4, 1.2), timing = c(2, 4, 7)), 2)

}
